Base Module VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Classes | Namespaces | Typedefs | Functions
fcommandline.h File Reference

Very simple command-line parser. More...

`#include <algorithm>`
`#include <deque>`
`#include <initializer_list>`
`#include <iterator>`
`#include <map>`
`#include <sstream>`
`#include <vector>`

## Classes
class | VariablesMap
| Command-line parsing result. More...
class | Description
| The description of one single command-line option. More...
class | Descriptions
| List of command-line option descriptions. More...

## Namespaces
namespace | Steinberg
namespace | Steinberg::CommandLine
| Very simple command-line parser.

## Typedefs
using | FilesVector = std::vector<std::string>
| type of the list of elements on the command line that are not handled by options parsing

## Functions
bool | parse (int ac, char *av[], const Descriptions &desc, VariablesMap &result, FilesVector *files=nullptr)
| Parse the command - line.
std::ostream & | operator<< (std::ostream &os, const Descriptions &desc)
| Make Descriptions stream able.

## Detailed Description

Very simple command-line parser.

See also
  Steinberg::CommandLine

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.